Docs Rizler

SMS

List SMS

GEThttps://app.rizzdial.com/api/reports/sms
List SMS
curl --request GET \
  --url https://app.rizzdial.com/api/reports/sms \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "MTIz",
      "status": "delivered",
      "message": "Hello",
      "direction": "Outbound",
      "sentiment": null,
      "to_number": "+14155550100",
      "contact_id": "NDU2",
      "created_at": "2026-10-01 10:00:00",
      "from_number": "+18885551234",
      "contact_name": "John Doe",
      "phone_number": "+14155550100"
    }
  ],
  "status": "success",
  "pagination": {
    "to": 1,
    "from": 1,
    "total": 1,
    "per_page": 20,
    "last_page": 1,
    "current_page": 1
  }
}

List SMS#

Paginated outbound and inbound SMS logs for the signed-in company, newest first. Ids are base64. These are contact-log rows (type SMS).

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

searchstringquery

Contact first name, last name, or phone number

directionstringquery

Stored direction, for example Inbound or Outbound

statusstringquery

Stored SMS status. Use Filter SMS Status for typical values

sentimentstringquery

Stored user_sentiment

date_fromstringquery

Start date Y-m-d (inclusive from 00:00:00)

date_tostringquery

End date Y-m-d (inclusive through 23:59:59)

per_pageintegerquery

Rows per page. Default 20. Maximum 100

pageintegerquery

Page number

curl --request GET \
  --url 'https://app.rizzdial.com/api/reports/sms?per_page=20&date_from=2026-10-01&date_to=2026-10-21' \
  --header 'Authorization: Bearer {{bearer_token}}'
statusstring

success

dataarray

Base64 id and contact_id, contact_name, phone_number, direction, from_number, to_number, status, message, sentiment, created_at

paginationobject

total, current_page, per_page, last_page, from, to